# NDK 7, Versuchsplanung, Serie 1, Aufgabe 1
# va-futter.tex
# Rene Locher

##- Zuwaechse zuordnen
f.zuwachs <- function(futter, data=futter.versuch){
  # Die Variablen fuer die drei Futterarten in einen Vektor packen
  z <- c(data[,"z1"], data[,"z2"], data[,"z3"])
  # Index je nach Faktorstufe auswaehlen
  ii <- (codes(futter)-1)*24 + 1:24
  z[ii]
}
